---
title: Me, Professionally
date: 2016-07-26
modified: 2024-12-04
author: john melesky
category: about
---

You want to work with me, and that's great! I'm available for both part-time and full-time work as a leader or IC, and am currently located in Portland, OR, USA. Here's [my resume]({static}/assets/resume_jmelesky.pdf), and some more background on me:

I've been in the industry since before the dot-com boom of the late
nineties (I almost said "late twentieth century" there, but that makes
me sound much older than I'd like to be).

I have a long history of working with large, often unstructured data,
starting with the set of member pages at
[Tripod.com](http://tripod.lycos.com/). I have a background in machine
learning, mostly around document classification, though I'm a quite
behind the current state of the art at this point. I've written a
number of reporting systems, and am comfortable enough with databases
that I spent a few years working as a DBA.

Nowadays, although I have capable technical chops, my strengths lie in
leadership. In particular, I enjoy growing groups of individuals into
high-performance teams. My leadership approach is focused on empathy
and open communication, and values retention, teamwork, and growth of
capacity over growth of team size.

I'm not an academic, but I pay attention to academic research, and
there's quite a bit of interesting stuff that has come out over the
past few years around software development. The "developer thriving"
framework has transformed how I think about teams and teambuilding.




